Public Class GOES_IdiomaBusinessObject
    Inherits BusinessObject(Of GOES_Idioma)

#Region "Contructores"
    Public Sub New()
        MyBase.New()
        DbHelper = New GOES_IdiomaDbHelper
    End Sub

    Public Sub New(ByVal entity As GOES_Idioma)
        MyBase.New(entity)
        DbHelper = New GOES_IdiomaDbHelper
    End Sub

    Public Sub New(ByVal idPlaza As Int32, ByVal idCorrelativo As Int32, Optional ByVal foreignLevel As Integer=0)
        Me.New()
        _Entity.idPlaza = idPlaza
        _Entity.idCorrelativo = idCorrelativo
        Dim Entity_Aux As GOES_Idioma = DbHelper.SelectEntity(_Entity,foreignLevel)
        If Not Entity_Aux Is Nothing Then
            _IsNew = False
            _Entity = Entity_Aux
        End If
    End Sub
#End Region

#Region "Metodos Estaticos"
    Protected Shared _Instance As GOES_IdiomaBusinessObject
    Protected Shared Function GetDdHelperInstance() As GOES_IdiomaDbHelper
        If _Instance Is Nothing Then
            _Instance = New GOES_IdiomaBusinessObject
        End If
    Return CType(_Instance.DbHelper, GOES_IdiomaDbHelper)
    End Function

    Public Shared Function GetListGOES_Idioma(Optional ByVal foreignLevel As Integer=0) As EntityList(Of GOES_Idioma)
        Return GetDdHelperInstance.SelectList(foreignLevel)
    End Function

    Public Shared Function GetListGOES_IdiomaByPlaza(ByVal idPlaza as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of GOES_Idioma)
        Return GetDdHelperInstance.GetListGOES_IdiomaByPlaza(idPlaza, foreignLevel)
    End Function

#End Region
End Class
